--- /dev/null
+#! /bin/bash
+
+# Copyright (C) 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+vdir=$1/vdir
+_VSERVER=$2
+
+
+pushd "$vdir"/etc/init.d &>/dev/null ||
+ pushd "$vdir"/etc/rc.d/init.d &>/dev/null || exit 1
+
+ for i in *; do
+ test -e "$i" || continue
+ case "$i" in
+ functions|halt|killall|single) ;;
+ syslog) ;;
+ *)
+ $_VSERVER "$1" chkconfig "$i" off
+ ;;
+ esac
+ done
+
+ mv -f halt{,.orig}
+ ln -s /bin/true halt
+
+popd >/dev/null